# Uses of Enum
org.mariadb.jdbc.internal.ColumnType

Packages that use ColumnType
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal
org.mariadb.jdbc.internal.com.read.resultset
org.mariadb.jdbc.internal.com.send
org.mariadb.jdbc.internal.com.send.parameters
org.mariadb.jdbc.internal.io.input
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util.dao

## Uses of ColumnType in org.mariadb.jdbc

Methods in org.mariadb.jdbc with parameters of type ColumnType
Modifier and Type
Method
Description
`void`
BasePrepareStatement.`setNull(int parameterIndex, ColumnType mariadbType)`
Sets the designated parameter to SQL `NULL`.

## Uses of ColumnType in org.mariadb.jdbc.internal

Subclasses with type arguments of type ColumnType in org.mariadb.jdbc.internal
Modifier and Type
Class
Description
`enum`
`ColumnType`
Methods in org.mariadb.jdbc.internal that return ColumnType
Modifier and Type
Method
Description
`static ColumnType`
ColumnType.`fromServer(int typeValue, int charsetNumber)`
Convert server Type to server type.
`static ColumnType`
ColumnType.`toServer(int javaType)`
Convert javatype to ColumnType.
`static ColumnType`
ColumnType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ColumnType[]`
ColumnType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.mariadb.jdbc.internal with parameters of type ColumnType
Modifier and Type
Method
Description
`static String`
ColumnType.`getClassName(ColumnType type, int len, boolean signed, boolean binary, Options options)`
Get class name.
`static String`
ColumnType.`getColumnTypeName(ColumnType type, long len, long charLen, boolean signed, boolean binary)`
Get columnTypeName.
`static boolean`
ColumnType.`isNumeric(ColumnType type)`
Is type numeric.

## Uses of ColumnType in org.mariadb.jdbc.internal.com.read.resultset

Methods in org.mariadb.jdbc.internal.com.read.resultset that return ColumnType
Modifier and Type
Method
Description
`ColumnType`
ColumnDefinition.`getColumnType()`
Methods in org.mariadb.jdbc.internal.com.read.resultset with parameters of type ColumnType
Modifier and Type
Method
Description
`static ColumnDefinition`
ColumnDefinition.`create(String name, ColumnType type)`
Constructor.
`static ResultSet`
SelectResultSet.`createResultSet(String[] columnNames, ColumnType[] columnTypes, String[][] data, Protocol protocol)`
Create a result set from given data.

## Uses of ColumnType in org.mariadb.jdbc.internal.com.send

Methods in org.mariadb.jdbc.internal.com.send with parameters of type ColumnType
Modifier and Type
Method
Description
`static void`
ComStmtExecute.`send(PacketOutputStream pos, int statementId, ParameterHolder[] parameters, int parameterCount, ColumnType[] parameterTypeHeader, byte cursorFlag)`
Send a prepare statement binary stream.
`static void`
ComStmtExecute.`writeCmd(int statementId, ParameterHolder[] parameters, int parameterCount, ColumnType[] parameterTypeHeader, PacketOutputStream pos, byte cursorFlag)`
Write COM_STMT_EXECUTE sub-command to output buffer.

## Uses of ColumnType in org.mariadb.jdbc.internal.com.send.parameters

Methods in org.mariadb.jdbc.internal.com.send.parameters that return ColumnType
Modifier and Type
Method
Description
`ColumnType`
BigDecimalParameter.`getColumnType()`
`ColumnType`
BooleanParameter.`getColumnType()`
`ColumnType`
ByteArrayParameter.`getColumnType()`
`ColumnType`
ByteParameter.`getColumnType()`
`ColumnType`
DateParameter.`getColumnType()`
`ColumnType`
DefaultParameter.`getColumnType()`
`ColumnType`
DoubleParameter.`getColumnType()`
`ColumnType`
FloatParameter.`getColumnType()`
`ColumnType`
IntParameter.`getColumnType()`
`ColumnType`
LocalTimeParameter.`getColumnType()`
`ColumnType`
LongParameter.`getColumnType()`
`ColumnType`
NullParameter.`getColumnType()`
`ColumnType`
OffsetTimeParameter.`getColumnType()`
`ColumnType`
ParameterHolder.`getColumnType()`
`ColumnType`
ReaderParameter.`getColumnType()`
`ColumnType`
SerializableParameter.`getColumnType()`
`ColumnType`
ShortParameter.`getColumnType()`
`ColumnType`
StreamParameter.`getColumnType()`
`ColumnType`
StringParameter.`getColumnType()`
`ColumnType`
TimeParameter.`getColumnType()`
`ColumnType`
TimestampParameter.`getColumnType()`
`ColumnType`
ZonedDateTimeParameter.`getColumnType()`
Constructors in org.mariadb.jdbc.internal.com.send.parameters with parameters of type ColumnType
Modifier
Constructor
Description
``
`NullParameter(ColumnType type)`

## Uses of ColumnType in org.mariadb.jdbc.internal.io.input

Methods in org.mariadb.jdbc.internal.io.input with parameters of type ColumnType
Modifier and Type
Method
Description
`static byte[]`
StandardPacketInputStream.`create(byte[][] row, ColumnType[] columnTypes)`
Create Buffer with Text protocol values.

## Uses of ColumnType in org.mariadb.jdbc.internal.protocol

Fields in org.mariadb.jdbc.internal.protocol declared as ColumnType
Modifier and Type
Field
Description
`protected ColumnType[]`
AbstractMultiSend.`parameterTypeHeader`

## Uses of ColumnType in org.mariadb.jdbc.internal.util.dao

Methods in org.mariadb.jdbc.internal.util.dao that return ColumnType
Modifier and Type
Method
Description
`ColumnType[]`
ServerPrepareResult.`getParameterTypeHeader()`